<template>
	<view class="map">
		<web-view :src="src"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				baseSrc: 'https://xqg.zjhmit.com/#/',
				src: 'https://xqg.zjhmit.com/#/'
				// baseSrc: 'http://192.168.10.175:8080/#/',
				// src: 'http://192.168.10.175:8080/#/'
			}
		},
		methods: {

		},
		onLoad(opt) {
			if (opt.q) {
				console.log(opt)
				const q = decodeURIComponent(opt.q)
				let scan = q.split('?scan=')[1]
				if (scan == 1) {
					this.src = this.baseSrc + '?scan=1'
				}
			}
		},
		onShow() {
		}
	}
</script>

<style>

</style>
